diff -Naur openssl-1.0.0q.orig/selftest/TestCA/05-gen-crl2.sh openssl-1.0.0q/selftest/TestCA/05-gen-crl2.sh
--- openssl-1.0.0q.orig/selftest/TestCA/05-gen-crl2.sh	1970-01-01 01:00:00.000000000 +0100
+++ openssl-1.0.0q/selftest/TestCA/05-gen-crl2.sh	2017-04-25 16:23:41.372029962 +0200
@@ -0,0 +1,6 @@
+#!/bin/sh -v
+
+openssl ca -batch -config openssl.cnf -revoke certs/cert2.pem
+
+openssl ca -batch -config openssl.cnf -gencrl -crldays 3650 | \
+	openssl crl -out crls/crl2.pem -text
diff -Naur openssl-1.0.0q.orig/selftest/TestCA/99-gen-all.sh openssl-1.0.0q/selftest/TestCA/99-gen-all.sh
--- openssl-1.0.0q.orig/selftest/TestCA/99-gen-all.sh	1970-01-01 01:00:00.000000000 +0100
+++ openssl-1.0.0q/selftest/TestCA/99-gen-all.sh	2017-04-25 16:23:41.372029962 +0200
@@ -0,0 +1,7 @@
+#!/bin/sh -v
+
+./01-gen-ca.sh
+./02-gen-cert1.sh
+./03-gen-cert2.sh
+./04-gen-crl1.sh
+./05-gen-crl2.sh
diff -Naur openssl-1.0.0q.orig/selftest/TestCA/ca-data/cacert.pem openssl-1.0.0q/selftest/TestCA/ca-data/cacert.pem
--- openssl-1.0.0q.orig/selftest/TestCA/ca-data/cacert.pem	1970-01-01 01:00:00.000000000 +0100
+++ openssl-1.0.0q/selftest/TestCA/ca-data/cacert.pem	2017-04-25 16:23:41.372029962 +0200
@@ -0,0 +1,79 @@
+Certificate:
+    Data:
+        Version: 3 (0x2)
+        Serial Number:
+            9e:ec:e9:ad:80:d1:26:a4
+        Signature Algorithm: sha1WithRSAEncryption
+        Issuer: CN=Libopeay test CA, O=Opera, ST=Oslo, C=NO
+        Validity
+            Not Before: Mar 22 09:06:53 2012 GMT
+            Not After : Mar 20 09:06:53 2022 GMT
+        Subject: CN=Libopeay test CA, O=Opera, ST=Oslo, C=NO
+        Subject Public Key Info:
+            Public Key Algorithm: rsaEncryption
+                Public-Key: (2048 bit)
+                Modulus:
+                    00:e0:50:a9:ca:3e:87:3e:5e:08:b9:e6:75:f1:ba:
+                    d3:53:5e:84:0a:93:8e:5c:04:07:51:28:b8:96:de:
+                    fa:09:0c:1d:df:8d:ff:5b:3b:eb:2b:6e:c6:ad:54:
+                    e4:0c:24:49:2a:d7:59:8f:ac:63:8f:c8:d3:b0:2b:
+                    63:a7:f5:1f:1c:c6:de:f7:f1:b9:44:ba:45:9a:1a:
+                    6c:76:16:6d:59:81:1a:31:1c:34:4e:d7:3d:60:9d:
+                    91:f3:b0:79:e7:df:eb:a7:6d:94:b9:36:28:03:eb:
+                    34:8b:6e:8f:f7:4f:35:de:20:71:cc:f6:c5:09:b4:
+                    21:4e:4f:57:d6:ef:b4:60:c6:fa:77:ee:b6:98:44:
+                    0c:0b:bd:05:b2:56:2e:98:6b:0f:b1:70:32:00:8f:
+                    34:eb:78:0b:0f:4c:07:c2:20:23:7d:32:2a:8f:0b:
+                    09:f4:45:8c:0a:28:f3:a3:6b:93:4a:dc:36:56:8b:
+                    77:ed:83:37:71:2a:fb:55:a4:4b:3f:47:2d:bc:03:
+                    60:7d:59:11:59:9a:70:13:a8:7e:a2:8f:6c:66:45:
+                    b1:8b:2d:d5:6b:ff:12:38:f3:b2:9e:24:a3:97:65:
+                    b5:f3:3c:20:8a:3d:41:36:03:e1:b8:b8:da:03:40:
+                    bc:5c:44:43:08:3f:96:2c:29:79:5d:0b:45:3d:7f:
+                    22:6b
+                Exponent: 65537 (0x10001)
+        X509v3 extensions:
+            X509v3 Subject Key Identifier: 
+                AB:4C:42:A3:27:B1:5C:DE:C2:A3:F1:6C:D9:1C:BD:A0:CE:9D:B9:0D
+            X509v3 Authority Key Identifier: 
+                keyid:AB:4C:42:A3:27:B1:5C:DE:C2:A3:F1:6C:D9:1C:BD:A0:CE:9D:B9:0D
+
+            X509v3 Basic Constraints: 
+                CA:TRUE
+    Signature Algorithm: sha1WithRSAEncryption
+        d3:81:e3:dd:93:2a:78:6c:80:cf:1b:61:7e:71:58:b3:1e:b3:
+        9e:33:84:a9:dc:b3:60:3f:16:af:a6:3d:6c:be:de:33:2a:5d:
+        12:57:6e:1f:1d:5d:56:e3:2a:68:99:34:ff:52:93:95:88:ea:
+        f1:22:55:e6:de:fb:74:f0:37:94:73:95:1a:07:8d:7f:c8:d0:
+        41:a6:1d:9d:7e:e6:92:f6:bd:3e:84:6c:c0:68:aa:22:a3:d9:
+        47:20:c5:31:4b:98:9e:f6:7c:35:98:d4:5b:a0:37:5b:e4:9d:
+        c3:d5:ab:a1:2b:91:e5:df:f7:ae:27:2c:68:73:83:cc:6f:2f:
+        21:ab:88:3b:91:dc:9b:1f:19:be:65:38:e2:f5:80:25:6f:95:
+        d6:e2:9d:3f:26:5d:d2:eb:97:7a:8e:74:6c:63:a7:99:2f:5f:
+        34:4a:ae:85:c5:7b:70:98:ac:c1:c0:95:10:b0:bf:fb:3b:79:
+        96:bb:f5:10:09:28:32:32:2e:47:76:ff:48:f5:78:be:b9:57:
+        c4:cf:ec:9e:9f:3c:8b:cc:d4:53:4a:75:03:0f:f0:1e:22:af:
+        29:d7:8c:79:4b:5e:e0:f6:10:b6:15:d7:4a:c7:72:9f:a8:77:
+        89:89:15:3b:77:00:6c:c9:89:e5:06:b2:a0:ef:48:f6:62:cb:
+        74:2c:16:2c
+-----BEGIN CERTIFICATE-----
+MIIDYTCCAkmgAwIBAgIJAJ7s6a2A0SakMA0GCSqGSIb3DQEBBQUAMEcxGTAXBgNV
+BAMMEExpYm9wZWF5IHRlc3QgQ0ExDjAMBgNVBAoMBU9wZXJhMQ0wCwYDVQQIDARP
+c2xvMQswCQYDVQQGEwJOTzAeFw0xMjAzMjIwOTA2NTNaFw0yMjAzMjAwOTA2NTNa
+MEcxGTAXBgNVBAMMEExpYm9wZWF5IHRlc3QgQ0ExDjAMBgNVBAoMBU9wZXJhMQ0w
+CwYDVQQIDARPc2xvMQswCQYDVQQGEwJOTzCCASIwDQYJKoZIhvcNAQEBBQADggEP
+ADCCAQoCggEBAOBQqco+hz5eCLnmdfG601NehAqTjlwEB1EouJbe+gkMHd+N/1s7
+6ytuxq1U5AwkSSrXWY+sY4/I07ArY6f1HxzG3vfxuUS6RZoabHYWbVmBGjEcNE7X
+PWCdkfOweeff66dtlLk2KAPrNItuj/dPNd4gccz2xQm0IU5PV9bvtGDG+nfutphE
+DAu9BbJWLphrD7FwMgCPNOt4Cw9MB8IgI30yKo8LCfRFjAoo86Nrk0rcNlaLd+2D
+N3Eq+1WkSz9HLbwDYH1ZEVmacBOofqKPbGZFsYst1Wv/Ejjzsp4ko5dltfM8IIo9
+QTYD4bi42gNAvFxEQwg/liwpeV0LRT1/ImsCAwEAAaNQME4wHQYDVR0OBBYEFKtM
+QqMnsVzewqPxbNkcvaDOnbkNMB8GA1UdIwQYMBaAFKtMQqMnsVzewqPxbNkcvaDO
+nbkNMAwGA1UdEwQFMAMBAf8wDQYJKoZIhvcNAQEFBQADggEBANOB492TKnhsgM8b
+YX5xWLMes54zhKncs2A/Fq+mPWy+3jMqXRJXbh8dXVbjKmiZNP9Sk5WI6vEiVebe
++3TwN5RzlRoHjX/I0EGmHZ1+5pL2vT6EbMBoqiKj2UcgxTFLmJ72fDWY1FugN1vk
+ncPVq6ErkeXf964nLGhzg8xvLyGriDuR3JsfGb5lOOL1gCVvldbinT8mXdLrl3qO
+dGxjp5kvXzRKroXFe3CYrMHAlRCwv/s7eZa79RAJKDIyLkd2/0j1eL65V8TP7J6f
+PIvM1FNKdQMP8B4irynXjHlLXuD2ELYV10rHcp+od4mJFTt3AGzJieUGsqDvSPZi
+y3QsFiw=
+-----END CERTIFICATE-----
diff -Naur openssl-1.0.0q.orig/selftest/TestCA/ca-data/cakey.pem openssl-1.0.0q/selftest/TestCA/ca-data/cakey.pem
--- openssl-1.0.0q.orig/selftest/TestCA/ca-data/cakey.pem	1970-01-01 01:00:00.000000000 +0100
+++ openssl-1.0.0q/selftest/TestCA/ca-data/cakey.pem	2017-04-25 16:23:41.373031206 +0200
@@ -0,0 +1,27 @@
+-----BEGIN RSA PRIVATE KEY-----
+MIIEpAIBAAKCAQEA4FCpyj6HPl4IueZ18brTU16ECpOOXAQHUSi4lt76CQwd343/
+WzvrK27GrVTkDCRJKtdZj6xjj8jTsCtjp/UfHMbe9/G5RLpFmhpsdhZtWYEaMRw0
+Ttc9YJ2R87B559/rp22UuTYoA+s0i26P90813iBxzPbFCbQhTk9X1u+0YMb6d+62
+mEQMC70FslYumGsPsXAyAI8063gLD0wHwiAjfTIqjwsJ9EWMCijzo2uTStw2Vot3
+7YM3cSr7VaRLP0ctvANgfVkRWZpwE6h+oo9sZkWxiy3Va/8SOPOyniSjl2W18zwg
+ij1BNgPhuLjaA0C8XERDCD+WLCl5XQtFPX8iawIDAQABAoIBAQCPuF7xK9rvRMSG
+h3huJuubcOVc+Wmu3w3pHBQY5kiBX3gMcih4Rg3JSDKXf9qVRPJ0NoI1oZgw2dV3
+/HTfehgzEeBuMDwqIsbRk7iGeJwbSrKDYLTLBvFWY97NqfaRcFDGd1lgyagdyqdh
+5rbrF59F8Le5QSrBqt3kFMYM+owxrFgvQFnoeyzFbv5Q74ftXAhoFOO8zNEGq8gT
+985PoSqyjWcWsZvEh2lj89byxjmkhol3ZMqcfn3dlymieW2z9bGVv2oYyIqTcM+J
+Di8bYNRIvluI2Lr8+2ISUIu3vXP+nNgAnucsraPmOrq5ahO6cHzn2FvVvzioQ4MA
+xpsHrA8hAoGBAPgi2yIhRXkJ2FjczZUyqCGgfKClKzEnuGMO0ibD5l1wcp7/socI
+ZverOtuGCHSNVNwQ88WFPyGj6deHIjYx90V6AveAieuVFkV6iXB6NyFiEsiaOYTD
+sxt1rREeDCZEMwyqMLotVyBW6Vhdy4cDPOEIbUy3R3obryBIhQRt+GAjAoGBAOds
+i6QdtTkzDvN7pRohOQMWP2ZHmPJ9YDCRuW3XnMgpNPtWCFltLEz4Y3AS94Xtp6cm
+yl9f7mAuTrdAUI04syoFJootPMUZQHZ6dOhr+EKRqZxcBdaEoPtfrTasJKkAU5qh
+1Ml2BkdhBTE7lc4sp1l9iIlLbUw4GvnPwZM8d7UZAoGBAMhOGucqRJK4x9S0KaDP
+C7pZe0GTE5LSpZ4RUMPKUCQNqfmAH/Wxaq1zpEehoyGzFVWwuZgxQA0/7Hz3sT5e
+h2WmYM67DJsH9rqPeHM7tVVVfiRBmzz5XZRFIjg3MUeStkL6/+rKvxJ0FlonHS0Y
+CAUAcHsFWMXRo0VERVyWCXJRAoGAJoSuiVZYf3i8GFKQHFVDQ/xD+SYZkuLDS9I1
+Zs7oTXhuVRbwtNGy+eytwE2n3Sa9LNkL/evdpSyP9XhC7/5r86Z/z6fP4Y5eaFnh
+c33lCE9uR5QZdKcGlFBMaDkmsOpY//fHjvCSAvdnAdbFDFfqUr7OJuvi+TitZL7r
+nTIHSqECgYAargw7s6YPxxJyNpOX4WEJHWEtm+IAo2y2n5ban67umzLCpRflvzx7
+mDt6iNFuawPIZLFa22CRojDHbJZ9Hq6ztLpMJLRQCv7oSj55LlgjxkvsqB1q8EA2
+MeEC+Si/lP4AoWqrKswOmxvnTA7MvbxKPIjW2cJ2LjKCQ4lgYpie+w==
+-----END RSA PRIVATE KEY-----
diff -Naur openssl-1.0.0q.orig/selftest/TestCA/ca-data/certs/01.pem openssl-1.0.0q/selftest/TestCA/ca-data/certs/01.pem
--- openssl-1.0.0q.orig/selftest/TestCA/ca-data/certs/01.pem	1970-01-01 01:00:00.000000000 +0100
+++ openssl-1.0.0q/selftest/TestCA/ca-data/certs/01.pem	2017-04-25 16:23:41.373031206 +0200
@@ -0,0 +1,80 @@
+Certificate:
+    Data:
+        Version: 3 (0x2)
+        Serial Number: 1 (0x1)
+        Signature Algorithm: sha1WithRSAEncryption
+        Issuer: CN=Libopeay test CA, O=Opera, ST=Oslo, C=NO
+        Validity
+            Not Before: Mar 22 09:06:53 2012 GMT
+            Not After : Mar 20 09:06:53 2022 GMT
+        Subject: C=NO, ST=Oslo, O=Opera, CN=Libopeay test cert 1
+        Subject Public Key Info:
+            Public Key Algorithm: rsaEncryption
+                Public-Key: (2048 bit)
+                Modulus:
+                    00:bf:01:ea:4f:45:41:1e:96:83:5d:42:4a:a2:2b:
+                    70:16:f8:db:79:ec:66:07:45:4a:8a:85:d0:2b:c1:
+                    f0:6e:87:d9:e1:ad:1f:ea:9c:8b:0d:5c:3f:6f:9c:
+                    cb:8c:b3:88:1a:c1:10:0d:5f:53:0d:92:fc:72:30:
+                    2b:46:3e:05:8f:d1:7a:d9:5e:f6:d4:a8:3a:20:ca:
+                    c8:2c:ec:b4:8d:c5:91:0e:b3:b4:99:ad:0e:5c:43:
+                    75:c2:00:8d:b8:e9:11:54:71:60:e4:71:19:56:6d:
+                    cb:73:ca:a4:3d:3c:ef:de:08:0e:90:1b:2f:a4:8a:
+                    81:81:fd:ca:50:17:a0:a6:5c:a8:83:6c:36:54:a9:
+                    0f:f3:f1:ba:b1:fd:aa:92:07:2e:66:4e:51:4a:bb:
+                    fe:5c:cf:92:0d:ef:28:e0:95:12:fe:af:5f:fc:9a:
+                    3d:24:43:52:0f:41:15:99:9e:84:fc:fd:77:6f:2b:
+                    97:54:7e:cd:ba:e7:21:0f:52:2e:89:5b:83:9d:0d:
+                    36:2b:c2:62:32:ae:de:02:f2:ff:9e:d5:35:ad:b8:
+                    77:8d:06:cf:1e:ee:cd:c0:54:7a:3d:aa:ed:82:d1:
+                    64:df:7d:87:df:8f:cf:9d:cc:fd:d7:58:b6:af:87:
+                    03:19:0b:c5:21:f1:c8:83:72:bc:a3:fd:83:b8:ab:
+                    a5:d7
+                Exponent: 65537 (0x10001)
+        X509v3 extensions:
+            X509v3 Basic Constraints: 
+                CA:FALSE
+            Netscape Comment: 
+                OpenSSL Generated Certificate
+            X509v3 Subject Key Identifier: 
+                26:7B:CE:04:C3:30:2D:07:98:D4:15:A8:D8:BF:4C:A2:31:88:FD:1A
+            X509v3 Authority Key Identifier: 
+                keyid:AB:4C:42:A3:27:B1:5C:DE:C2:A3:F1:6C:D9:1C:BD:A0:CE:9D:B9:0D
+
+    Signature Algorithm: sha1WithRSAEncryption
+        69:33:1a:e5:12:5e:d4:02:f8:33:3a:b0:b9:67:c1:7c:1d:f6:
+        1f:85:0e:b7:25:e2:d9:b9:11:c5:38:88:b2:8d:e7:f8:1a:b4:
+        3d:2e:74:ed:42:fb:6c:b7:ca:88:65:69:4a:d3:fe:41:79:c1:
+        63:06:be:77:12:ae:20:c9:db:00:11:39:1b:0e:bd:85:e2:c4:
+        f0:9b:ca:f8:8b:93:76:7c:4d:98:89:38:4f:5d:e4:f0:87:c8:
+        8d:a8:f9:8a:99:d2:30:92:ad:75:0a:df:9a:81:6d:c3:1f:b6:
+        ec:56:ac:f4:12:1c:ad:7c:08:b8:dc:83:0a:94:4e:f2:a7:60:
+        10:d7:52:e7:87:d2:bd:a0:21:36:fd:dc:41:d2:f3:8c:c5:35:
+        9e:60:6e:53:97:8e:d1:18:20:2c:26:83:b4:02:6f:76:20:11:
+        47:f0:3c:58:94:b0:99:e5:44:50:6a:bd:c3:e4:e2:25:51:79:
+        72:fb:ea:a5:4f:23:b3:f2:61:18:97:0c:e4:82:ca:19:67:02:
+        b5:af:36:a0:36:59:11:6c:c2:ed:28:12:a6:77:b6:79:ac:97:
+        06:d2:4c:af:46:d8:86:17:ae:31:ac:cf:6d:00:75:aa:29:65:
+        90:94:fa:bf:42:3b:ba:ea:09:4f:36:78:4f:d0:ea:85:02:c8:
+        d0:0c:ae:d4
+-----BEGIN CERTIFICATE-----
+MIIDiDCCAnCgAwIBAgIBATANBgkqhkiG9w0BAQUFADBHMRkwFwYDVQQDDBBMaWJv
+cGVheSB0ZXN0IENBMQ4wDAYDVQQKDAVPcGVyYTENMAsGA1UECAwET3NsbzELMAkG
+A1UEBhMCTk8wHhcNMTIwMzIyMDkwNjUzWhcNMjIwMzIwMDkwNjUzWjBLMQswCQYD
+VQQGEwJOTzENMAsGA1UECAwET3NsbzEOMAwGA1UECgwFT3BlcmExHTAbBgNVBAMM
+FExpYm9wZWF5IHRlc3QgY2VydCAxMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIB
+CgKCAQEAvwHqT0VBHpaDXUJKoitwFvjbeexmB0VKioXQK8HwbofZ4a0f6pyLDVw/
+b5zLjLOIGsEQDV9TDZL8cjArRj4Fj9F62V721Kg6IMrILOy0jcWRDrO0ma0OXEN1
+wgCNuOkRVHFg5HEZVm3Lc8qkPTzv3ggOkBsvpIqBgf3KUBegplyog2w2VKkP8/G6
+sf2qkgcuZk5RSrv+XM+SDe8o4JUS/q9f/Jo9JENSD0EVmZ6E/P13byuXVH7Nuuch
+D1IuiVuDnQ02K8JiMq7eAvL/ntU1rbh3jQbPHu7NwFR6PartgtFk332H34/Pncz9
+11i2r4cDGQvFIfHIg3K8o/2DuKul1wIDAQABo3sweTAJBgNVHRMEAjAAMCwGCWCG
+SAGG+EIBDQQfFh1PcGVuU1NMIEdlbmVyYXRlZCBDZXJ0aWZpY2F0ZTAdBgNVHQ4E
+FgQUJnvOBMMwLQeY1BWo2L9MojGI/RowHwYDVR0jBBgwFoAUq0xCoyexXN7Co/Fs
+2Ry9oM6duQ0wDQYJKoZIhvcNAQEFBQADggEBAGkzGuUSXtQC+DM6sLlnwXwd9h+F
+Drcl4tm5EcU4iLKN5/gatD0udO1C+2y3yohlaUrT/kF5wWMGvncSriDJ2wARORsO
+vYXixPCbyviLk3Z8TZiJOE9d5PCHyI2o+YqZ0jCSrXUK35qBbcMftuxWrPQSHK18
+CLjcgwqUTvKnYBDXUueH0r2gITb93EHS84zFNZ5gblOXjtEYICwmg7QCb3YgEUfw
+PFiUsJnlRFBqvcPk4iVReXL76qVPI7PyYRiXDOSCyhlnArWvNqA2WRFswu0oEqZ3
+tnmslwbSTK9G2IYXrjGsz20AdaopZZCU+r9CO7rqCU82eE/Q6oUCyNAMrtQ=
+-----END CERTIFICATE-----
diff -Naur openssl-1.0.0q.orig/selftest/TestCA/ca-data/certs/02.pem openssl-1.0.0q/selftest/TestCA/ca-data/certs/02.pem
--- openssl-1.0.0q.orig/selftest/TestCA/ca-data/certs/02.pem	1970-01-01 01:00:00.000000000 +0100
+++ openssl-1.0.0q/selftest/TestCA/ca-data/certs/02.pem	2017-04-25 16:23:41.374030495 +0200
@@ -0,0 +1,80 @@
+Certificate:
+    Data:
+        Version: 3 (0x2)
+        Serial Number: 2 (0x2)
+        Signature Algorithm: sha1WithRSAEncryption
+        Issuer: CN=Libopeay test CA, O=Opera, ST=Oslo, C=NO
+        Validity
+            Not Before: Mar 22 09:06:53 2012 GMT
+            Not After : Mar 20 09:06:53 2022 GMT
+        Subject: C=NO, ST=Oslo, O=Opera, CN=Libopeay test cert 2
+        Subject Public Key Info:
+            Public Key Algorithm: rsaEncryption
+                Public-Key: (2048 bit)
+                Modulus:
+                    00:c6:fd:2b:d8:5c:d6:a2:e5:7a:0e:91:ba:71:18:
+                    a0:79:f9:d2:ad:25:ea:95:16:62:dc:97:f4:13:2f:
+                    80:0a:71:9b:69:6e:86:3c:11:4d:6a:ed:5b:0d:74:
+                    a7:e0:22:36:e0:f7:1c:aa:8c:e6:d2:dd:85:84:7f:
+                    98:17:bf:0c:0a:6c:69:80:f9:72:61:fa:56:60:7c:
+                    3c:42:98:29:1a:87:7d:9e:11:32:1d:f8:60:57:c9:
+                    73:4c:2a:69:bb:9e:0f:f6:a4:b0:c9:40:bf:4d:f3:
+                    e1:cf:f9:2d:79:ed:4a:64:75:a8:f7:82:a9:7b:86:
+                    fa:2c:eb:49:f8:1d:a7:1c:eb:69:6c:cd:ed:e0:1e:
+                    69:7c:1b:fc:dc:42:2f:68:46:9b:ab:66:45:83:35:
+                    f2:c3:8d:d6:cf:b0:66:a5:81:02:05:c5:db:c7:c7:
+                    33:b2:80:af:9d:8e:b5:d1:71:97:46:f8:2c:55:23:
+                    e2:33:80:a0:0e:37:c6:a5:26:1e:28:44:a7:53:5a:
+                    c7:91:67:30:40:d8:9a:98:75:c1:1d:4b:c5:ed:16:
+                    9a:40:c2:a1:03:33:99:05:d4:c2:3c:41:8f:79:75:
+                    ae:79:ab:eb:d2:ef:8e:0f:ef:93:6b:a5:18:c3:13:
+                    ba:e4:c3:e9:84:cc:31:5c:ae:08:1e:bc:de:4a:20:
+                    3d:49
+                Exponent: 65537 (0x10001)
+        X509v3 extensions:
+            X509v3 Basic Constraints: 
+                CA:FALSE
+            Netscape Comment: 
+                OpenSSL Generated Certificate
+            X509v3 Subject Key Identifier: 
+                67:A3:13:41:E1:D1:81:9F:8B:00:AB:EF:F5:B8:80:E0:D4:60:9A:49
+            X509v3 Authority Key Identifier: 
+                keyid:AB:4C:42:A3:27:B1:5C:DE:C2:A3:F1:6C:D9:1C:BD:A0:CE:9D:B9:0D
+
+    Signature Algorithm: sha1WithRSAEncryption
+        4e:78:80:8e:b6:a7:f3:cf:da:7b:66:20:74:ac:93:3f:36:ad:
+        fa:e3:21:3a:36:fb:a4:49:0f:b9:5e:fa:10:ae:8e:34:ab:89:
+        fb:99:3e:df:57:95:aa:59:27:6c:c7:6a:63:f8:29:dc:af:f7:
+        70:3a:71:fc:3b:7b:2e:ae:5b:a1:8d:cc:b4:1a:d5:64:4a:09:
+        d4:b4:0c:25:e1:f1:70:13:01:a7:69:b1:50:6e:a7:92:b3:66:
+        0a:4d:7c:30:bd:5e:ba:2c:6d:45:48:e3:55:a6:fc:7d:c5:67:
+        7c:a3:6c:b8:df:4e:fa:7f:eb:27:4c:60:df:4e:cd:5b:10:b2:
+        3b:70:02:f2:48:1a:95:23:49:7b:eb:38:99:9a:16:f7:6b:3b:
+        85:9a:76:a2:3e:e8:cc:db:5b:f7:90:f8:1d:b2:2e:b0:ad:01:
+        4b:35:d0:bb:63:c7:7b:df:68:8d:41:26:3a:eb:56:01:b1:29:
+        bf:b3:3c:a6:69:b8:11:af:6a:f5:35:fa:dd:62:c8:44:e9:8b:
+        7d:c4:80:eb:37:ab:4e:97:4b:d8:08:e3:ad:68:a8:cb:4d:b3:
+        98:02:be:47:8d:78:3c:2b:75:94:51:f5:02:e4:71:a0:42:6d:
+        c0:d2:54:30:0d:24:80:23:8e:53:14:12:e0:ae:91:e3:41:5b:
+        2e:cd:3a:55
+-----BEGIN CERTIFICATE-----
+MIIDiDCCAnCgAwIBAgIBAjANBgkqhkiG9w0BAQUFADBHMRkwFwYDVQQDDBBMaWJv
+cGVheSB0ZXN0IENBMQ4wDAYDVQQKDAVPcGVyYTENMAsGA1UECAwET3NsbzELMAkG
+A1UEBhMCTk8wHhcNMTIwMzIyMDkwNjUzWhcNMjIwMzIwMDkwNjUzWjBLMQswCQYD
+VQQGEwJOTzENMAsGA1UECAwET3NsbzEOMAwGA1UECgwFT3BlcmExHTAbBgNVBAMM
+FExpYm9wZWF5IHRlc3QgY2VydCAyMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIB
+CgKCAQEAxv0r2FzWouV6DpG6cRigefnSrSXqlRZi3Jf0Ey+ACnGbaW6GPBFNau1b
+DXSn4CI24Pccqozm0t2FhH+YF78MCmxpgPlyYfpWYHw8QpgpGod9nhEyHfhgV8lz
+TCppu54P9qSwyUC/TfPhz/ktee1KZHWo94Kpe4b6LOtJ+B2nHOtpbM3t4B5pfBv8
+3EIvaEabq2ZFgzXyw43Wz7BmpYECBcXbx8czsoCvnY610XGXRvgsVSPiM4CgDjfG
+pSYeKESnU1rHkWcwQNiamHXBHUvF7RaaQMKhAzOZBdTCPEGPeXWueavr0u+OD++T
+a6UYwxO65MPphMwxXK4IHrzeSiA9SQIDAQABo3sweTAJBgNVHRMEAjAAMCwGCWCG
+SAGG+EIBDQQfFh1PcGVuU1NMIEdlbmVyYXRlZCBDZXJ0aWZpY2F0ZTAdBgNVHQ4E
+FgQUZ6MTQeHRgZ+LAKvv9biA4NRgmkkwHwYDVR0jBBgwFoAUq0xCoyexXN7Co/Fs
+2Ry9oM6duQ0wDQYJKoZIhvcNAQEFBQADggEBAE54gI62p/PP2ntmIHSskz82rfrj
+ITo2+6RJD7le+hCujjSrifuZPt9XlapZJ2zHamP4Kdyv93A6cfw7ey6uW6GNzLQa
+1WRKCdS0DCXh8XATAadpsVBup5KzZgpNfDC9XrosbUVI41Wm/H3FZ3yjbLjfTvp/
+6ydMYN9OzVsQsjtwAvJIGpUjSXvrOJmaFvdrO4WadqI+6MzbW/eQ+B2yLrCtAUs1
+0Ltjx3vfaI1BJjrrVgGxKb+zPKZpuBGvavU1+t1iyETpi33EgOs3q06XS9gI461o
+qMtNs5gCvkeNeDwrdZRR9QLkcaBCbcDSVDANJIAjjlMUEuCukeNBWy7NOlU=
+-----END CERTIFICATE-----
diff -Naur openssl-1.0.0q.orig/selftest/TestCA/ca-data/crlnumber openssl-1.0.0q/selftest/TestCA/ca-data/crlnumber
--- openssl-1.0.0q.orig/selftest/TestCA/ca-data/crlnumber	1970-01-01 01:00:00.000000000 +0100
+++ openssl-1.0.0q/selftest/TestCA/ca-data/crlnumber	2017-04-25 16:23:41.374030495 +0200
@@ -0,0 +1 @@
+03
diff -Naur openssl-1.0.0q.orig/selftest/TestCA/ca-data/crlnumber.old openssl-1.0.0q/selftest/TestCA/ca-data/crlnumber.old
--- openssl-1.0.0q.orig/selftest/TestCA/ca-data/crlnumber.old	1970-01-01 01:00:00.000000000 +0100
+++ openssl-1.0.0q/selftest/TestCA/ca-data/crlnumber.old	2017-04-25 16:23:41.375031181 +0200
@@ -0,0 +1 @@
+02
diff -Naur openssl-1.0.0q.orig/selftest/TestCA/ca-data/index.txt.attr openssl-1.0.0q/selftest/TestCA/ca-data/index.txt.attr
--- openssl-1.0.0q.orig/selftest/TestCA/ca-data/index.txt.attr	1970-01-01 01:00:00.000000000 +0100
+++ openssl-1.0.0q/selftest/TestCA/ca-data/index.txt.attr	2017-04-25 16:23:41.375031181 +0200
@@ -0,0 +1 @@
+unique_subject = yes
diff -Naur openssl-1.0.0q.orig/selftest/TestCA/ca-data/index.txt.attr.old openssl-1.0.0q/selftest/TestCA/ca-data/index.txt.attr.old
--- openssl-1.0.0q.orig/selftest/TestCA/ca-data/index.txt.attr.old	1970-01-01 01:00:00.000000000 +0100
+++ openssl-1.0.0q/selftest/TestCA/ca-data/index.txt.attr.old	2017-04-25 16:23:41.376030191 +0200
@@ -0,0 +1 @@
+unique_subject = yes
diff -Naur openssl-1.0.0q.orig/selftest/TestCA/ca-data/index.txt.old openssl-1.0.0q/selftest/TestCA/ca-data/index.txt.old
--- openssl-1.0.0q.orig/selftest/TestCA/ca-data/index.txt.old	1970-01-01 01:00:00.000000000 +0100
+++ openssl-1.0.0q/selftest/TestCA/ca-data/index.txt.old	2017-04-25 16:23:41.376030191 +0200
@@ -0,0 +1,2 @@
+V	220320090653Z		01	unknown	/C=NO/ST=Oslo/O=Opera/CN=Libopeay test cert 1
+V	220320090653Z		02	unknown	/C=NO/ST=Oslo/O=Opera/CN=Libopeay test cert 2
diff -Naur openssl-1.0.0q.orig/selftest/TestCA/ca-data/serial openssl-1.0.0q/selftest/TestCA/ca-data/serial
--- openssl-1.0.0q.orig/selftest/TestCA/ca-data/serial	1970-01-01 01:00:00.000000000 +0100
+++ openssl-1.0.0q/selftest/TestCA/ca-data/serial	2017-04-25 16:23:41.376030191 +0200
@@ -0,0 +1 @@
+03
diff -Naur openssl-1.0.0q.orig/selftest/TestCA/ca-data/serial.old openssl-1.0.0q/selftest/TestCA/ca-data/serial.old
--- openssl-1.0.0q.orig/selftest/TestCA/ca-data/serial.old	1970-01-01 01:00:00.000000000 +0100
+++ openssl-1.0.0q/selftest/TestCA/ca-data/serial.old	2017-04-25 16:23:41.377030038 +0200
@@ -0,0 +1 @@
+02
diff -Naur openssl-1.0.0q.orig/selftest/TestCA/certs/cert1.pem openssl-1.0.0q/selftest/TestCA/certs/cert1.pem
--- openssl-1.0.0q.orig/selftest/TestCA/certs/cert1.pem	1970-01-01 01:00:00.000000000 +0100
+++ openssl-1.0.0q/selftest/TestCA/certs/cert1.pem	2017-04-25 16:23:41.378032400 +0200
@@ -0,0 +1,80 @@
+Certificate:
+    Data:
+        Version: 3 (0x2)
+        Serial Number: 1 (0x1)
+        Signature Algorithm: sha1WithRSAEncryption
+        Issuer: CN=Libopeay test CA, O=Opera, ST=Oslo, C=NO
+        Validity
+            Not Before: Mar 22 09:06:53 2012 GMT
+            Not After : Mar 20 09:06:53 2022 GMT
+        Subject: C=NO, ST=Oslo, O=Opera, CN=Libopeay test cert 1
+        Subject Public Key Info:
+            Public Key Algorithm: rsaEncryption
+                Public-Key: (2048 bit)
+                Modulus:
+                    00:bf:01:ea:4f:45:41:1e:96:83:5d:42:4a:a2:2b:
+                    70:16:f8:db:79:ec:66:07:45:4a:8a:85:d0:2b:c1:
+                    f0:6e:87:d9:e1:ad:1f:ea:9c:8b:0d:5c:3f:6f:9c:
+                    cb:8c:b3:88:1a:c1:10:0d:5f:53:0d:92:fc:72:30:
+                    2b:46:3e:05:8f:d1:7a:d9:5e:f6:d4:a8:3a:20:ca:
+                    c8:2c:ec:b4:8d:c5:91:0e:b3:b4:99:ad:0e:5c:43:
+                    75:c2:00:8d:b8:e9:11:54:71:60:e4:71:19:56:6d:
+                    cb:73:ca:a4:3d:3c:ef:de:08:0e:90:1b:2f:a4:8a:
+                    81:81:fd:ca:50:17:a0:a6:5c:a8:83:6c:36:54:a9:
+                    0f:f3:f1:ba:b1:fd:aa:92:07:2e:66:4e:51:4a:bb:
+                    fe:5c:cf:92:0d:ef:28:e0:95:12:fe:af:5f:fc:9a:
+                    3d:24:43:52:0f:41:15:99:9e:84:fc:fd:77:6f:2b:
+                    97:54:7e:cd:ba:e7:21:0f:52:2e:89:5b:83:9d:0d:
+                    36:2b:c2:62:32:ae:de:02:f2:ff:9e:d5:35:ad:b8:
+                    77:8d:06:cf:1e:ee:cd:c0:54:7a:3d:aa:ed:82:d1:
+                    64:df:7d:87:df:8f:cf:9d:cc:fd:d7:58:b6:af:87:
+                    03:19:0b:c5:21:f1:c8:83:72:bc:a3:fd:83:b8:ab:
+                    a5:d7
+                Exponent: 65537 (0x10001)
+        X509v3 extensions:
+            X509v3 Basic Constraints: 
+                CA:FALSE
+            Netscape Comment: 
+                OpenSSL Generated Certificate
+            X509v3 Subject Key Identifier: 
+                26:7B:CE:04:C3:30:2D:07:98:D4:15:A8:D8:BF:4C:A2:31:88:FD:1A
+            X509v3 Authority Key Identifier: 
+                keyid:AB:4C:42:A3:27:B1:5C:DE:C2:A3:F1:6C:D9:1C:BD:A0:CE:9D:B9:0D
+
+    Signature Algorithm: sha1WithRSAEncryption
+        69:33:1a:e5:12:5e:d4:02:f8:33:3a:b0:b9:67:c1:7c:1d:f6:
+        1f:85:0e:b7:25:e2:d9:b9:11:c5:38:88:b2:8d:e7:f8:1a:b4:
+        3d:2e:74:ed:42:fb:6c:b7:ca:88:65:69:4a:d3:fe:41:79:c1:
+        63:06:be:77:12:ae:20:c9:db:00:11:39:1b:0e:bd:85:e2:c4:
+        f0:9b:ca:f8:8b:93:76:7c:4d:98:89:38:4f:5d:e4:f0:87:c8:
+        8d:a8:f9:8a:99:d2:30:92:ad:75:0a:df:9a:81:6d:c3:1f:b6:
+        ec:56:ac:f4:12:1c:ad:7c:08:b8:dc:83:0a:94:4e:f2:a7:60:
+        10:d7:52:e7:87:d2:bd:a0:21:36:fd:dc:41:d2:f3:8c:c5:35:
+        9e:60:6e:53:97:8e:d1:18:20:2c:26:83:b4:02:6f:76:20:11:
+        47:f0:3c:58:94:b0:99:e5:44:50:6a:bd:c3:e4:e2:25:51:79:
+        72:fb:ea:a5:4f:23:b3:f2:61:18:97:0c:e4:82:ca:19:67:02:
+        b5:af:36:a0:36:59:11:6c:c2:ed:28:12:a6:77:b6:79:ac:97:
+        06:d2:4c:af:46:d8:86:17:ae:31:ac:cf:6d:00:75:aa:29:65:
+        90:94:fa:bf:42:3b:ba:ea:09:4f:36:78:4f:d0:ea:85:02:c8:
+        d0:0c:ae:d4
+-----BEGIN CERTIFICATE-----
+MIIDiDCCAnCgAwIBAgIBATANBgkqhkiG9w0BAQUFADBHMRkwFwYDVQQDDBBMaWJv
+cGVheSB0ZXN0IENBMQ4wDAYDVQQKDAVPcGVyYTENMAsGA1UECAwET3NsbzELMAkG
+A1UEBhMCTk8wHhcNMTIwMzIyMDkwNjUzWhcNMjIwMzIwMDkwNjUzWjBLMQswCQYD
+VQQGEwJOTzENMAsGA1UECAwET3NsbzEOMAwGA1UECgwFT3BlcmExHTAbBgNVBAMM
+FExpYm9wZWF5IHRlc3QgY2VydCAxMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIB
+CgKCAQEAvwHqT0VBHpaDXUJKoitwFvjbeexmB0VKioXQK8HwbofZ4a0f6pyLDVw/
+b5zLjLOIGsEQDV9TDZL8cjArRj4Fj9F62V721Kg6IMrILOy0jcWRDrO0ma0OXEN1
+wgCNuOkRVHFg5HEZVm3Lc8qkPTzv3ggOkBsvpIqBgf3KUBegplyog2w2VKkP8/G6
+sf2qkgcuZk5RSrv+XM+SDe8o4JUS/q9f/Jo9JENSD0EVmZ6E/P13byuXVH7Nuuch
+D1IuiVuDnQ02K8JiMq7eAvL/ntU1rbh3jQbPHu7NwFR6PartgtFk332H34/Pncz9
+11i2r4cDGQvFIfHIg3K8o/2DuKul1wIDAQABo3sweTAJBgNVHRMEAjAAMCwGCWCG
+SAGG+EIBDQQfFh1PcGVuU1NMIEdlbmVyYXRlZCBDZXJ0aWZpY2F0ZTAdBgNVHQ4E
+FgQUJnvOBMMwLQeY1BWo2L9MojGI/RowHwYDVR0jBBgwFoAUq0xCoyexXN7Co/Fs
+2Ry9oM6duQ0wDQYJKoZIhvcNAQEFBQADggEBAGkzGuUSXtQC+DM6sLlnwXwd9h+F
+Drcl4tm5EcU4iLKN5/gatD0udO1C+2y3yohlaUrT/kF5wWMGvncSriDJ2wARORsO
+vYXixPCbyviLk3Z8TZiJOE9d5PCHyI2o+YqZ0jCSrXUK35qBbcMftuxWrPQSHK18
+CLjcgwqUTvKnYBDXUueH0r2gITb93EHS84zFNZ5gblOXjtEYICwmg7QCb3YgEUfw
+PFiUsJnlRFBqvcPk4iVReXL76qVPI7PyYRiXDOSCyhlnArWvNqA2WRFswu0oEqZ3
+tnmslwbSTK9G2IYXrjGsz20AdaopZZCU+r9CO7rqCU82eE/Q6oUCyNAMrtQ=
+-----END CERTIFICATE-----
diff -Naur openssl-1.0.0q.orig/selftest/TestCA/certs/cert2.pem openssl-1.0.0q/selftest/TestCA/certs/cert2.pem
--- openssl-1.0.0q.orig/selftest/TestCA/certs/cert2.pem	1970-01-01 01:00:00.000000000 +0100
+++ openssl-1.0.0q/selftest/TestCA/certs/cert2.pem	2017-04-25 16:23:41.379031410 +0200
@@ -0,0 +1,80 @@
+Certificate:
+    Data:
+        Version: 3 (0x2)
+        Serial Number: 2 (0x2)
+        Signature Algorithm: sha1WithRSAEncryption
+        Issuer: CN=Libopeay test CA, O=Opera, ST=Oslo, C=NO
+        Validity
+            Not Before: Mar 22 09:06:53 2012 GMT
+            Not After : Mar 20 09:06:53 2022 GMT
+        Subject: C=NO, ST=Oslo, O=Opera, CN=Libopeay test cert 2
+        Subject Public Key Info:
+            Public Key Algorithm: rsaEncryption
+                Public-Key: (2048 bit)
+                Modulus:
+                    00:c6:fd:2b:d8:5c:d6:a2:e5:7a:0e:91:ba:71:18:
+                    a0:79:f9:d2:ad:25:ea:95:16:62:dc:97:f4:13:2f:
+                    80:0a:71:9b:69:6e:86:3c:11:4d:6a:ed:5b:0d:74:
+                    a7:e0:22:36:e0:f7:1c:aa:8c:e6:d2:dd:85:84:7f:
+                    98:17:bf:0c:0a:6c:69:80:f9:72:61:fa:56:60:7c:
+                    3c:42:98:29:1a:87:7d:9e:11:32:1d:f8:60:57:c9:
+                    73:4c:2a:69:bb:9e:0f:f6:a4:b0:c9:40:bf:4d:f3:
+                    e1:cf:f9:2d:79:ed:4a:64:75:a8:f7:82:a9:7b:86:
+                    fa:2c:eb:49:f8:1d:a7:1c:eb:69:6c:cd:ed:e0:1e:
+                    69:7c:1b:fc:dc:42:2f:68:46:9b:ab:66:45:83:35:
+                    f2:c3:8d:d6:cf:b0:66:a5:81:02:05:c5:db:c7:c7:
+                    33:b2:80:af:9d:8e:b5:d1:71:97:46:f8:2c:55:23:
+                    e2:33:80:a0:0e:37:c6:a5:26:1e:28:44:a7:53:5a:
+                    c7:91:67:30:40:d8:9a:98:75:c1:1d:4b:c5:ed:16:
+                    9a:40:c2:a1:03:33:99:05:d4:c2:3c:41:8f:79:75:
+                    ae:79:ab:eb:d2:ef:8e:0f:ef:93:6b:a5:18:c3:13:
+                    ba:e4:c3:e9:84:cc:31:5c:ae:08:1e:bc:de:4a:20:
+                    3d:49
+                Exponent: 65537 (0x10001)
+        X509v3 extensions:
+            X509v3 Basic Constraints: 
+                CA:FALSE
+            Netscape Comment: 
+                OpenSSL Generated Certificate
+            X509v3 Subject Key Identifier: 
+                67:A3:13:41:E1:D1:81:9F:8B:00:AB:EF:F5:B8:80:E0:D4:60:9A:49
+            X509v3 Authority Key Identifier: 
+                keyid:AB:4C:42:A3:27:B1:5C:DE:C2:A3:F1:6C:D9:1C:BD:A0:CE:9D:B9:0D
+
+    Signature Algorithm: sha1WithRSAEncryption
+        4e:78:80:8e:b6:a7:f3:cf:da:7b:66:20:74:ac:93:3f:36:ad:
+        fa:e3:21:3a:36:fb:a4:49:0f:b9:5e:fa:10:ae:8e:34:ab:89:
+        fb:99:3e:df:57:95:aa:59:27:6c:c7:6a:63:f8:29:dc:af:f7:
+        70:3a:71:fc:3b:7b:2e:ae:5b:a1:8d:cc:b4:1a:d5:64:4a:09:
+        d4:b4:0c:25:e1:f1:70:13:01:a7:69:b1:50:6e:a7:92:b3:66:
+        0a:4d:7c:30:bd:5e:ba:2c:6d:45:48:e3:55:a6:fc:7d:c5:67:
+        7c:a3:6c:b8:df:4e:fa:7f:eb:27:4c:60:df:4e:cd:5b:10:b2:
+        3b:70:02:f2:48:1a:95:23:49:7b:eb:38:99:9a:16:f7:6b:3b:
+        85:9a:76:a2:3e:e8:cc:db:5b:f7:90:f8:1d:b2:2e:b0:ad:01:
+        4b:35:d0:bb:63:c7:7b:df:68:8d:41:26:3a:eb:56:01:b1:29:
+        bf:b3:3c:a6:69:b8:11:af:6a:f5:35:fa:dd:62:c8:44:e9:8b:
+        7d:c4:80:eb:37:ab:4e:97:4b:d8:08:e3:ad:68:a8:cb:4d:b3:
+        98:02:be:47:8d:78:3c:2b:75:94:51:f5:02:e4:71:a0:42:6d:
+        c0:d2:54:30:0d:24:80:23:8e:53:14:12:e0:ae:91:e3:41:5b:
+        2e:cd:3a:55
+-----BEGIN CERTIFICATE-----
+MIIDiDCCAnCgAwIBAgIBAjANBgkqhkiG9w0BAQUFADBHMRkwFwYDVQQDDBBMaWJv
+cGVheSB0ZXN0IENBMQ4wDAYDVQQKDAVPcGVyYTENMAsGA1UECAwET3NsbzELMAkG
+A1UEBhMCTk8wHhcNMTIwMzIyMDkwNjUzWhcNMjIwMzIwMDkwNjUzWjBLMQswCQYD
+VQQGEwJOTzENMAsGA1UECAwET3NsbzEOMAwGA1UECgwFT3BlcmExHTAbBgNVBAMM
+FExpYm9wZWF5IHRlc3QgY2VydCAyMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIB
+CgKCAQEAxv0r2FzWouV6DpG6cRigefnSrSXqlRZi3Jf0Ey+ACnGbaW6GPBFNau1b
+DXSn4CI24Pccqozm0t2FhH+YF78MCmxpgPlyYfpWYHw8QpgpGod9nhEyHfhgV8lz
+TCppu54P9qSwyUC/TfPhz/ktee1KZHWo94Kpe4b6LOtJ+B2nHOtpbM3t4B5pfBv8
+3EIvaEabq2ZFgzXyw43Wz7BmpYECBcXbx8czsoCvnY610XGXRvgsVSPiM4CgDjfG
+pSYeKESnU1rHkWcwQNiamHXBHUvF7RaaQMKhAzOZBdTCPEGPeXWueavr0u+OD++T
+a6UYwxO65MPphMwxXK4IHrzeSiA9SQIDAQABo3sweTAJBgNVHRMEAjAAMCwGCWCG
+SAGG+EIBDQQfFh1PcGVuU1NMIEdlbmVyYXRlZCBDZXJ0aWZpY2F0ZTAdBgNVHQ4E
+FgQUZ6MTQeHRgZ+LAKvv9biA4NRgmkkwHwYDVR0jBBgwFoAUq0xCoyexXN7Co/Fs
+2Ry9oM6duQ0wDQYJKoZIhvcNAQEFBQADggEBAE54gI62p/PP2ntmIHSskz82rfrj
+ITo2+6RJD7le+hCujjSrifuZPt9XlapZJ2zHamP4Kdyv93A6cfw7ey6uW6GNzLQa
+1WRKCdS0DCXh8XATAadpsVBup5KzZgpNfDC9XrosbUVI41Wm/H3FZ3yjbLjfTvp/
+6ydMYN9OzVsQsjtwAvJIGpUjSXvrOJmaFvdrO4WadqI+6MzbW/eQ+B2yLrCtAUs1
+0Ltjx3vfaI1BJjrrVgGxKb+zPKZpuBGvavU1+t1iyETpi33EgOs3q06XS9gI461o
+qMtNs5gCvkeNeDwrdZRR9QLkcaBCbcDSVDANJIAjjlMUEuCukeNBWy7NOlU=
+-----END CERTIFICATE-----
diff -Naur openssl-1.0.0q.orig/selftest/TestCA/crls/crl1.pem openssl-1.0.0q/selftest/TestCA/crls/crl1.pem
--- openssl-1.0.0q.orig/selftest/TestCA/crls/crl1.pem	1970-01-01 01:00:00.000000000 +0100
+++ openssl-1.0.0q/selftest/TestCA/crls/crl1.pem	2017-04-25 16:23:41.379031410 +0200
@@ -0,0 +1,37 @@
+Certificate Revocation List (CRL):
+        Version 2 (0x1)
+        Signature Algorithm: sha1WithRSAEncryption
+        Issuer: /CN=Libopeay test CA/O=Opera/ST=Oslo/C=NO
+        Last Update: Mar 22 09:06:53 2012 GMT
+        Next Update: Mar 20 09:06:53 2022 GMT
+        CRL extensions:
+            X509v3 CRL Number: 
+                1
+No Revoked Certificates.
+    Signature Algorithm: sha1WithRSAEncryption
+        21:aa:98:74:d6:1f:52:2b:d0:ef:ac:35:fa:1c:d4:e2:40:e8:
+        38:95:5f:40:ab:00:64:43:1b:8a:47:c4:c2:b7:83:63:97:42:
+        05:05:7f:72:12:0f:4b:01:f7:0e:7e:a5:56:b4:64:4f:2d:c8:
+        d7:c3:aa:ef:40:8d:06:0c:f8:e7:44:19:a8:49:b6:b4:dd:58:
+        70:db:cc:6a:c2:06:96:43:55:ee:0d:93:f2:cc:77:fc:cf:08:
+        cb:b0:f0:2c:63:24:7b:b1:7a:2d:46:0c:46:54:b8:ef:8e:82:
+        93:f1:fe:b1:d3:2d:16:69:55:4c:4d:0e:63:54:5f:17:20:38:
+        a1:eb:56:b4:f5:c4:79:06:87:e5:c7:67:d7:71:09:1c:f7:93:
+        38:5f:e5:95:2e:17:6a:78:1c:b2:94:10:18:e4:b2:40:b8:54:
+        80:38:93:8d:71:9e:fb:9a:2f:be:48:95:c1:f6:86:13:20:7d:
+        74:c7:99:2c:cd:3e:f8:40:f8:b6:96:85:0c:d3:8d:e8:93:1b:
+        aa:3d:0b:ad:92:13:b5:34:66:56:36:c9:2b:96:57:fd:50:40:
+        6c:3b:dd:d1:a8:f0:32:73:d5:79:cd:fc:e8:88:47:96:e2:c1:
+        0a:3e:44:eb:30:bf:9c:c5:10:01:59:a4:55:7d:92:0d:fe:f2:
+        ab:2d:a3:fd
+-----BEGIN X509 CRL-----
+MIIBoDCBiQIBATANBgkqhkiG9w0BAQUFADBHMRkwFwYDVQQDDBBMaWJvcGVheSB0
+ZXN0IENBMQ4wDAYDVQQKDAVPcGVyYTENMAsGA1UECAwET3NsbzELMAkGA1UEBhMC
+Tk8XDTEyMDMyMjA5MDY1M1oXDTIyMDMyMDA5MDY1M1qgDjAMMAoGA1UdFAQDAgEB
+MA0GCSqGSIb3DQEBBQUAA4IBAQAhqph01h9SK9DvrDX6HNTiQOg4lV9AqwBkQxuK
+R8TCt4Njl0IFBX9yEg9LAfcOfqVWtGRPLcjXw6rvQI0GDPjnRBmoSba03Vhw28xq
+wgaWQ1XuDZPyzHf8zwjLsPAsYyR7sXotRgxGVLjvjoKT8f6x0y0WaVVMTQ5jVF8X
+IDih61a09cR5Boflx2fXcQkc95M4X+WVLhdqeByylBAY5LJAuFSAOJONcZ77mi++
+SJXB9oYTIH10x5kszT74QPi2loUM043okxuqPQutkhO1NGZWNskrllf9UEBsO93R
+qPAyc9V5zfzoiEeW4sEKPkTrML+cxRABWaRVfZIN/vKrLaP9
+-----END X509 CRL-----
